Install of upgrade to AM8-SP6 or 7 fails on Solaris host with 9i database

Document ID : KB000089981
Last Modified Date : 14/04/2018
Show Technical Document Details
Issue:
Install of upgrade to AM8-SP6 or 7 fails on Solaris host with 9i database
Resolution:
Detailed Description and Symptoms

?When running CDINST.SH the following error occurs:

 

Starting at 01/27/12 13:54:29 script aw_views
Finished at 01/27/12 13:54:38 Elapsed Time 00:00:09 script aw_views
errors=ORA-06575: Package or function AW5 is in an invalid state
Fatal error trying to execute script aw_views
Fatal error trying to execute script aw_views
Fatal Error occurred - check the log /opt/appworx/install/aw_install.log
==================
Requested processes "all" not running
stopso done

 

Installation exited with errors
 
or it just hangs indefinitly on the aw_dependants script.

 

 


Solution

?9i databases were desupported by Oracle in July of 2007.

Our recommendation is to upgrade the DB to 10g prior to upgrading our product.